API
Electronic Media Search Direct API
Televisione, radio, canali, programmi, trascrizioni, giornalismo diffuso e copertura audiovisiva delle notizie.
API Reference Version: 1.0.0 4 Endpoints Authentication
Base URL
https://api.pressmonitor.com Authentication
All requests use Bearer token authentication.
Authorization: Bearer YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID GET
/headlines Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| keywords_text | string | query | Yes | |
| lang_code | string | query | No | |
| country_code | string | query | No | |
| count | integer | query | No | |
| cursor | string | query | No | |
| sort | string | query | No | Sort order (date or relevance) |
| date_from | string | query | No | Start date for news (YYYY-MM-DD format) |
| date_to | string | query | No | End date for news (YYYY-MM-DD format) |
Code Examples
curl -X GET "https://api.pressmonitor.com/headlines?keywords_text=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 Success
GET
/briefs Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| keywords_text | string | query | Yes | |
| lang_code | string | query | No | |
| country_code | string | query | No | |
| count | integer | query | No | |
| cursor | string | query | No | |
| sort | string | query | No | Sort order (date or relevance) |
| date_from | string | query | No | Start date for news (YYYY-MM-DD format) |
| date_to | string | query | No | End date for news (YYYY-MM-DD format) |
Code Examples
curl -X GET "https://api.pressmonitor.com/briefs?keywords_text=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 Success
GET
/fulltext Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| keywords_text | string | query | Yes | |
| lang_code | string | query | No | |
| country_code | string | query | No | |
| count | integer | query | No | |
| cursor | string | query | No | |
| sort | string | query | No | Sort order (date or relevance) |
| date_from | string | query | No | Start date for news (YYYY-MM-DD format) |
| date_to | string | query | No | End date for news (YYYY-MM-DD format) |
Code Examples
curl -X GET "https://api.pressmonitor.com/fulltext?keywords_text=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 Success
GET
/clip Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| id | string | query | Yes | Clip/article ID to resolve |
| date | string | query | Yes | Date of the clip (YYYY-MM-DD) |
| ns | string | query | No | Namespace prefix for multi-tenant index resolution |
| host | string | query | No | Host name for tenant resolution |
| ttl | integer | query | No | Signed URL time-to-live in seconds |
Code Examples
curl -X GET "https://api.pressmonitor.com/clip?id=VALUE&date=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 Success